name: ES8388
description: codec, audio, DAC+ADC
datasheet: http://www.everest-semi.com/pdf/ES8388%20DS.pdf
ditributor: LCSC C365736

pinout:
  I2S:
    MCLK: 1
    SCLK: 5
    DSDIN: 6
    LRCK: 7
    ASDOUT: 8
  CONTROL:
    CE: 26
    CDATA: 27
    CCLK: 28
  IN:
    RIN1: 23
    LIN1: 24
    RIN2: 21
    LIN2: 22
  OUT:
    ROUT1: 11
    LOUT1: 12
    ROUT2: 14
    LOUT2: 15
  POWER:
    DVDD: 2
    PVDD: 3
    HPVDD: 16
    AVDD: 17
  REF:
    VREF: 10
    ADCVREF: 19
    VMID: 20
  GROUND:
    DGND: 4
    HPGND: 13
    AGND: 18
  NC: 9,25

properties:
  in: IN, MCLK, DSDIN, CE, CCLK
  out: OUT, REF, ASDOUT
  bidir: SCLK, LRCK, CDATA
  power: POWER
  ground: GROUND
  nc: NC

schematic:
  symbol: IC
  left: CONTROL, I2S, IN
  right: OUT, REF
  top: POWER
  bottom: GROUND

housing:
  pattern: QFN
  bodyWidth: 3.924-4.067 # D
  bodyLength: 3.924-4.076 # E
  height: 0.7-0.8 # A
  leadWidth: 0.18-0.28 # b
  leadLength: 0.274-0.374 # L max is 0.426 but that makes the pads too close
  pitch: 0.45 # e
  pullback: 0
  leadCount: 28
  rowCount: 7
  columnCount: 7
  tabWidth: 2.5-2.7 # D1
  tabLength: 2.5-2.7 # E1
  tabPosition: 0.0, 0.0
